GSI Forum
GSI Helmholtzzentrum für Schwerionenforschung

Home » PANDA » PandaRoot » Tracking » GEANE with new external packages
GEANE with new external packages [message #5778] Thu, 31 January 2008 17:49 Go to next message
EDownie is currently offline  EDownie
Messages: 8
Registered: January 2007
Location: University ofGlasgow
occasional visitor
From: *physics.gla.ac.uk
Dear All,

I installed the latest version of the external packages on 11th January, but when I try to install the development version of Pandaroot with libGeane, cmake informs me that I can't compile with libGeane as I have too old a version of Geant 3. The output is copied below.

Any suggestions?

Thanks,

Evie

cmake ../pandaroot/
-- You're not using the GSI installation of the external packages.
-- If any problems occur this can be due to the fact that the macros
-- were mostly tested at GSI. If you find any problems please contact
-- f.uhlig@gsi.de
-- Found root of the simulation software at /home/pandasim/fairroot/cbmsoft
-- Looking for Root...
-- Looking for Root... - found /home/pandasim/fairroot/cbmsoft/tools/root/bin/root
-- Looking for Root... - version 5.17/05
-- Looking for Pluto...
-- Looking for Pluto... - found /home/pandasim/fairroot/cbmsoft/generators/lib
-- Looking for Pythia6...
-- Looking for Pythia6... - found /home/pandasim/fairroot/cbmsoft/generators/lib-- Looking for GEANT3...
-- Looking for GEANT3... - found /home/pandasim/fairroot/cbmsoft/transport/geant3/lib/tgt_linux/libgeant3 21.so
-- Looking for GEANT4...
-- Looking for GEANT4... - found /home/pandasim/fairroot/cbmsoft/transport/geant4/lib/Linux-g++
-- Looking for GEANT4VMC...
-- Looking for GEANT4VMC... - found /home/pandasim/fairroot/cbmsoft/transport/geant4_vmc/lib/tgt_linux
-- Looking for VGM...
-- Looking for VGM... - found /home/pandasim/fairroot/cbmsoft/transport/vgm/lib/Linux-g++
-- Looking for CLHEP...
-- Looking for CLHEP... - found /home/pandasim/fairroot/cbmsoft/cern/clhep/lib

WW Can not install libGeane the interface to GEANE.
WW The GEANT3 version you're using is to old and don't support the necessary features.
WW Please use a newer GEANT3 version if you want to use libGeane.

-- Configuring done
-- Generating done
-- Build files have been written to: /home/pandasim/fairroot/cbmsoft/build
bash-3.00$
Re: GEANE with new external packages [message #5783 is a reply to message #5778] Fri, 01 February 2008 10:28 Go to previous messageGo to next message
Lia Lavezzi
Messages: 291
Registered: May 2007
Location: Torino
first-grade participant

From: *PV.INFN.IT
Hi Evie,
I had the same problem and I solved it uncommenting the line 114 in the file pandaroot/cmake/modules/FindGEANT3.cmake, i.e.:
TEST_GEANT3_VERSION()

I am not a CMAKE expert, but for me it worked, maybe the cmake experts can tell if this is correct or there is another way.

Bye,
Lia.
Re: GEANE with new external packages [message #5784 is a reply to message #5783] Fri, 01 February 2008 11:27 Go to previous messageGo to next message
Aleksandra Biegun is currently offline  Aleksandra Biegun
Messages: 64
Registered: May 2007
Location: Groningen
continuous participant
From: *KVI.nl
Hi Evie,

the other option for your problem is to comment few lines
in pandaroot/geane/CMakeList.txt

IF (TGEANT3_SETCUTS) - line 25 and

ELSE(TGEANT3_SETCUTS)
MESSAGE("")
MESSAGE("WW Can not install libGeane the interface to GEANE.")
MESSAGE("WW The GEANT3 version you're using is to old and don't support the necessary features.")
MESSAGE("WW Please use a newer GEANT3 version if you want to use libGeane.")
MESSAGE("")
ENDIF (TGEANT3_SETCUTS)
- lines 53 up to 59

(like we did at KVI workshop last week).

Greetings from KVI,
Ola.


Aleksandra Biegun
University of Groningen/KVI
Zernikelaan 25, 9747 AA Groningen
tel. +31 50 363 3630
fax. +31 50 363 4003
Re: GEANE with new external packages [message #6005 is a reply to message #5784] Thu, 06 March 2008 13:42 Go to previous message
StefanoSpataro is currently offline  StefanoSpataro
Messages: 2736
Registered: June 2005
Location: Torino
first-grade participant

From: *nbi.dk
I have seen that in the latest repository there is still the same problem.
Could it be possible to fix it in the proper way?
What is exactly the problem?
Previous Topic: covariances in global coordinates
Next Topic: geane propagation: floating point exception
Goto Forum:
  


Current Time: Mon Apr 22 08:14:19 CEST 2024

Total time taken to generate the page: 0.00842 seconds